Bug 1954105 - TaskRuns Tab in PipelineRun Details Page makes cluster based calls for TaskRuns
Summary: TaskRuns Tab in PipelineRun Details Page makes cluster based calls for TaskRuns
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Abhinandan Das
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks: 1961887
TreeView+ depends on / blocked
 
Reported: 2021-04-27 15:26 UTC by Andrew Ballantyne
Modified: 2021-07-27 23:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:04:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8860 0 None open Bug 1954105: Update Taskrun tab to make namespace based calls 2021-05-12 18:51:20 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:04:22 UTC

Description Andrew Ballantyne 2021-04-27 15:26:14 UTC
Description of problem:

When viewing the TaskRuns page on the PipelineRun Details Page, the calls are made against a selector but for an unbounded namespace. So if you end up with either not cluster access or your pipelineRun name is the same in two namespaces, you'll get undesired results.

Version-Release number of selected component (if applicable):
OpenShift Pipelines Operator (version does not matter)

How reproducible:

Always

Steps to Reproduce:

Two ways to reproduce.

As basic user with only view access to a namespace:
1. Have a PipelineRun that has created at least one of it's TaskRuns
2. Navigate to that PipelineRun details page
3. Select TaskRuns tab

As a kubeadmin (or cluster-based permission user):
1. Have two namespaces that have the same named PipelineRun in it
2. View one of the PipelineRun details page
3. Select TaskRuns tab

Actual results:

Basic user:
Cluster access required to view resources error page.

Cluster user:
TaskRun resources from two different namespaces.

Expected results:

For both, the same-namespace TaskRun resources for the selected PipelineRun. 

Additional info:

Logged first on OpenShift/console issues: https://github.com/openshift/console/issues/8796

Comment 2 Andrew Ballantyne 2021-05-18 22:17:54 UTC
Verified on 4.8.0-0.nightly-2021-05-18-072155
Using Chrome v90.0.4430.212
Using Firefox v78.10.1esr

Comment 5 errata-xmlrpc 2021-07-27 23:04:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.